/*
 * Copyright (c) 2006 AWS Convergence Technologies, Inc. 
 * All rights reserved.
 * Visit http://www.aws.com
 *
 * WBPreferences.js
 *
 * This scripts contains the WBPreferences resuable class. A WBPreferences object
 * containg accessor methods for getting to various preferences. It is basically
 * a wrapper object around the dashboard Preferences methods, that allows us to
 * make similar calls from our universal library of classes in both YWE 3.0 and Dashboard.
 */

// Object Definition
function WBPreferences()
{
}

// Do not call this directly, only from an initialized WBPreferences object.
// Used to get the current zip code.
WBPreferences.prototype.getZipCode = function () {
	return widget.preferenceForKey(forWidgetInstance("zipCode"));
}

// Do not call this directly, only from an initialized WBPreferences object.
// Returns the stationID.
WBPreferences.prototype.getStationID = function () {
	return widget.preferenceForKey(forWidgetInstance("stationID"));
}

WBPreferences.prototype.getUnits = function ()
{
	if(!widget.preferenceForKey(forWidgetInstance("Units")))
	{
		widget.setPreferenceForKey(0,forWidgetInstance("Units"));
	}
	return widget.preferenceForKey(forWidgetInstance("Units"));
}

WBPreferences.prototype.setGUID = function (str)
{
	widget.setPreferenceForKey(str,"GUID");
}

WBPreferences.prototype.getGUID = function ()
{

	return widget.preferenceForKey("GUID");
}

WBPreferences.prototype.setStationOrLocation = function (type)
{
	widget.setPreferenceForKey(type,forWidgetInstance("StationOrLocation"));
}

WBPreferences.prototype.getStationOrLocation = function ()
{
	if(!widget.preferenceForKey(forWidgetInstance("StationOrLocation")))
	{
		widget.setPreferenceForKey(0,forWidgetInstance("StationOrLocation"));
	}
	return widget.preferenceForKey(forWidgetInstance("StationOrLocation"));
}

WBPreferences.prototype.setType = function (str)
{
	return widget.preferenceForKey(forWidgetInstance(str,"Type"));
}

WBPreferences.prototype.getType = function ()
{
	if(!widget.preferenceForKey(forWidgetInstance("Type")))
	{
		widget.setPreferenceForKey(false,forWidgetInstance("Type"));
	}
	return widget.preferenceForKey(forWidgetInstance("Type"));
}

WBPreferences.prototype.getTypeIntValue = function ()
{
	if(this.getType() == true)
	{
		return "1";
	}
	else
	{
		return "0";
	}
}

WBPreferences.prototype.setCountryName = function (str)
{
	return widget.preferenceForKey(forWidgetInstance(str,"countryName"));
}

WBPreferences.prototype.getCountryName = function ()
{
	if(!widget.preferenceForKey(forWidgetInstance("countryName")))
	{
		widget.setPreferenceForKey(false,forWidgetInstance("countryName"));
	}
	return widget.preferenceForKey(forWidgetInstance("countryName"));
}

WBPreferences.prototype.setNotifyForUpdates = function (str)
{
	return widget.setPreferenceForKey(str,"updateNotification");
}

WBPreferences.prototype.getNotifyForUpdates = function ()
{
	if(widget.preferenceForKey("updateNotification") == null)
	{
		widget.setPreferenceForKey(1,"updateNotification");
	}
	return widget.preferenceForKey("updateNotification");
}

WBPreferences.prototype.getIsNewInstance = function ()
{
	if( widget.preferenceForKey( forWidgetInstance( "zipCode" ) ) == null && widget.preferenceForKey( forWidgetInstance( "stationID" ) ) == null )
	{
		return "1";
	}
	else
	{
		return "0";
	}
}