/*
 * Copyright (c) 2006 AWS Convergence Technologies, Inc. 
 * All rights reserved.
 * Visit http://www.aws.com
 *
 *  WBDataRequest.js
 *
 * This scripts contains the WBDataRequest resuable class. A DataRequest object
 * takes care of loading data from an XMLHttpRequest object.
 */

// Object Definition
function WBTextDataRequest(URL,loadCallback)
{
	this.url = URL; // Holds the URL for the data request
	this.request; // Holds the XMLHttpRequest Object
	this.loadCallback = loadCallback;
}

// Do not call this directly, only from an initialized DataRequest object.
// Used to reload the information from the local URL.
WBTextDataRequest.prototype.load = function (str)
{
	// terminate any open active requests from this object.
	if (this.request != null)
	{
		this.request.abort();
		this.request = null;
	}

	// Create a new request and fetch the data
	this.request = new XMLHttpRequest();
	this.request.onload = this.loadCallback;
	this.request.overrideMimeType('text/html');
	this.request.setRequestHeader("Cache-Control", "no-cache");
	if(str)
	{
		this.request.open("GET",this.url+str,true);
	}
	else
	{
		this.request.open("GET",this.url,true);
	}
	this.request.send();
}
